Last Comment Bug 323292 - readonly bind not working for textarea
: readonly bind not working for textarea
Status: RESOLVED FIXED
: fixed1.8.0.2, fixed1.8.1
Product: Core Graveyard
Classification: Graveyard
Component: XForms (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: ---
Assigned To: Olli Pettay [:smaug] (reviewing overload)
: Stephen Pride
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-13 04:33 PST by Splash
Modified: 2016-07-15 14:46 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
testcase (1006 bytes, application/xhtml+xml)
2006-01-13 04:34 PST, Splash
no flags Details
proposed patch (1.24 KB, patch)
2006-01-13 07:03 PST, Olli Pettay [:smaug] (reviewing overload)
aaronr: review+
doronr: review+
Details | Diff | Splinter Review

Description Splash 2006-01-13 04:33:46 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a1) Gecko/20060112 Firefox/1.6a1
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a1) Gecko/20060112 Firefox/1.6a1

When I bind readonly attribute for <xf:input> it work.
But if I bind readonly for <xf:textarea> it doesn't work.

Reproducible: Always

Steps to Reproduce:
See testcase.
Comment 1 Splash 2006-01-13 04:34:35 PST
Created attachment 208369 [details]
testcase
Comment 2 Olli Pettay [:smaug] (reviewing overload) 2006-01-13 07:03:42 PST
Created attachment 208376 [details] [diff] [review]
proposed patch
Comment 3 Olli Pettay [:smaug] (reviewing overload) 2006-01-13 09:39:36 PST
Checking in resources/content/xforms.xml;
/cvsroot/mozilla/extensions/xforms/resources/content/xforms.xml,v  <--  xforms.xml
new revision: 1.23; previous revision: 1.22
done
Comment 4 aaronr 2006-02-02 17:32:56 PST
checked into MOZILLA_1_8_BRANCH via bug 323691.  Leaving open for now until it gets into 1.8.0
Comment 5 aaronr 2006-07-07 09:47:42 PDT
verified fixed in MOZILLA_1_8_BRANCH

Note You need to log in before you can comment on or make changes to this bug.